Skip to main content
GET
/
platform
/
v2
/
sites
/
{site_id}
/
forecast
Get Site Forecast
import requests

url = "https://api.rebase.energy/platform/v2/sites/{site_id}/forecast"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "valid_time": [
    "2026-01-01T00:00:00Z",
    "2026-01-01T01:00:00Z",
    "2026-01-01T02:00:00Z",
    "2026-01-01T03:00:00Z",
    "2026-01-01T04:00:00Z",
    "2026-01-01T05:00:00Z",
    "2026-01-01T06:00:00Z",
    "2026-01-01T07:00:00Z",
    "2026-01-01T08:00:00Z",
    "2026-01-01T09:00:00Z"
  ],
  "forecast": [
    6000,
    6000,
    6000,
    6000,
    6000,
    6000,
    6000,
    6000,
    6000,
    6000
  ],
  "capacity": [
    6000,
    6000,
    6000,
    6000,
    6000,
    6000,
    6000,
    6000,
    6000,
    6000
  ],
  "model_name": [
    "My model",
    "My model",
    "My model",
    "My model",
    "My model",
    "My model",
    "My model",
    "My model",
    "My model",
    "My model"
  ],
  "model_version": [
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1,
    1
  ],
  "update_time": [
    "2026-01-01T00:00:00Z",
    "2026-01-01T00:00:00Z",
    "2026-01-01T00:00:00Z",
    "2026-01-01T00:00:00Z",
    "2026-01-01T00:00:00Z",
    "2026-01-01T00:00:00Z",
    "2026-01-01T00:00:00Z",
    "2026-01-01T00:00:00Z",
    "2026-01-01T00:00:00Z",
    "2026-01-01T00:00:00Z"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rebase.energy/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Your API key. This is required to access our API programatically. You can view your API key in the Rebase dashboard.

Path Parameters

site_id
string
required

Query Parameters

start_date
string<date-time>
end_date
string<date-time> | null
tz
string | null
as_of
string<date-time> | null
model_id
string | null
return_normalized
boolean
default:false

Response

Successful Response

valid_time
string<date-time>[]
required
Example:
[
"2026-01-01T00:00:00Z",
"2026-01-01T01:00:00Z",
"2026-01-01T02:00:00Z",
"2026-01-01T03:00:00Z",
"2026-01-01T04:00:00Z",
"2026-01-01T05:00:00Z",
"2026-01-01T06:00:00Z",
"2026-01-01T07:00:00Z",
"2026-01-01T08:00:00Z",
"2026-01-01T09:00:00Z"
]
forecast
number[]
required
Example:
[
6000,
6000,
6000,
6000,
6000,
6000,
6000,
6000,
6000,
6000
]
capacity
number[]
required
Example:
[
6000,
6000,
6000,
6000,
6000,
6000,
6000,
6000,
6000,
6000
]
model_name
string[]
required
Example:
[
"My model",
"My model",
"My model",
"My model",
"My model",
"My model",
"My model",
"My model",
"My model",
"My model"
]
model_version
integer[]
required
Example:
[1, 1, 1, 1, 1, 1, 1, 1, 1, 1]
update_time
string<date-time>[]
required
Example:
[
"2026-01-01T00:00:00Z",
"2026-01-01T00:00:00Z",
"2026-01-01T00:00:00Z",
"2026-01-01T00:00:00Z",
"2026-01-01T00:00:00Z",
"2026-01-01T00:00:00Z",
"2026-01-01T00:00:00Z",
"2026-01-01T00:00:00Z",
"2026-01-01T00:00:00Z",
"2026-01-01T00:00:00Z"
]